package com.fdkankan.platform.goods.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.agent.request.RequestSearch;
import com.fdkankan.platform.goods.entity.CameraVersion;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 相机版本表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface ICameraVersionService extends IService<CameraVersion> {

    Page<CameraVersion> getPageByType(Integer pageNum, Integer pageSize, String type);

    String updateStatus(Long id, String upperCase, String type);

    Page<CameraVersion> searchLike(RequestSearch param);

    String upload(MultipartFile file, String version, String description, String minVersion, String type) throws Exception;

    CameraVersion getByType(String type);

    int updateImageVersion(String num);
}
